picard.illumina.parser

## Enum IntensityChannel

- java.lang.Object
- - java.lang.Enum<IntensityChannel>
  - - picard.illumina.parser.IntensityChannel

- All Implemented Interfaces:
    Serializable, Comparable<IntensityChannel>

      public enum IntensityChannel
      extends Enum<IntensityChannel>

  The channels in a FourChannelIntensityData object, and the channels produced by a ClusterIntensityFileReader, for cases in which it is desirable to handle these abstractly rather than having the specific names in the source code.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `A`
    `C`
    `G`
    `T`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `NUM_CHANNELS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IntensityChannel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IntensityChannel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### A

          public static final IntensityChannel A

    - #### C

          public static final IntensityChannel C

    - #### G

          public static final IntensityChannel G

    - #### T

          public static final IntensityChannel T

  - ### Field Detail

    - #### NUM_CHANNELS

          public static final int NUM_CHANNELS

  - ### Method Detail

    - #### values

          public static IntensityChannel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IntensityChannel c : IntensityChannel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IntensityChannel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null